//
//  ArteDBGObjectsViewer.h
//  ArtesemaOGL
//
//  Created by touta on 08/03/22.
//  Copyright 2008 TSBps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <ArteOGL/ArteOGLViewProtocol.h>
#import <ArteOGL/ArteOGLView.h>

@interface ArteDBGObjectsViewer : NSObject {
    IBOutlet NSOutlineView *outliner;
    IBOutlet NSPanel *panel;
	IBOutlet NSTextField *field;
	ArteOGLView <ArteOGLViewProtocol> *arteview;
	NSTimer *updateTimer;
	NSArray *DBGObjects;
}
-(id)initWithArteOGLView:(id <ArteOGLViewProtocol>) view;
-(NSString *)valueStringOfItem:(id)item;
-(void)setTextToField:(NSString *)text;
@end
