//
//  ArteOGLCVImageBufferTexture.h
//  ArteOGL
//
//  Created by touta on 09/03/15.
//  Copyright 2009 TSBps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <OpenGL/OpenGL.h>
#import <OpenGL/gl.h>
#import <OpenGL/glext.h>
#import <QuickTime/QuickTime.h>
#import <QTKit/QTKit.h>
#import <QuartzCore/QuartzCore.h>


@interface ArteOGLCVImageBufferTexture : NSObject {
	CVImageBufferRef imageBuffer;
	CGSize texsize;
	GLuint texid;
}

- (void)destructTexture;
- (BOOL)isTextureResident;

- (CVImageBufferRef *)imageBuffer;
- (void)releaseBuffer;
- (void)update;


- (void)OGLdrawAtPoint:(CGPoint)pt;
- (void)OGLdrawAtPoint:(CGPoint)pt fraction:(float)alpha;
- (void)OGLdrawInRect:(CGRect)rect fraction:(float)alpha;

@end
