//
//  ArteOGLImageTextureClip.h
//  ArteOGL
//
//  Created by touta on 09/02/13.
//  Copyright 2009 TSBps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ArteOGLImageTexture.h"

@interface ArteOGLImageTextureClip : ArteOGLImageTexture {
	CGRect clip;
	ArteOGLImageTexture *aggregate;
	CGSize aggsize;
}

// ArteOGLImageTextureClip represent "clip of texture".
//


#pragma mark initialize
- (id)initWithTexture:(ArteOGLImageTexture *)texture clipRect:(CGRect)rect;

#pragma mark draw
// Easy drawing.
//	some object may call this method to draw image in their turn.
//- (void)OGLdrawAtPoint:(CGPoint)pt;
//- (void)OGLdrawAtPoint:(CGPoint)pt fraction:(float)alpha;
//- (void)OGLdrawInRect:(CGRect)rect fraction:(float)alpha;

#pragma mark values
- (CGRect) clipRect;
// clipping rectangle
- (ArteOGLImageTexture *) texture;
// texture object

@end
