//
//  ArteOGLMisya.h
//  ArteOGL
//
//  Created by touta on 09/03/02.
//  Copyright 2009 TSBps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ArteMisya.h"
#import "ArteMisyaViewerProtocol.h"

#import "ArteOGLObject.h"
#import "ArteOGLImage.h"
#import "ArteOGLString.h"
#import "ArteOGLRectangle.h"
#import "ArteOGLAnimationImage.h"

@interface ArteOGLMisya : ArteOGLObject <ArteMisyaViewerProtocol> {
	ArteMisya *misya;
	
	ArteOGLImageTexture *logo;
	
	BOOL skip;
}
- (id)misya;

- (void)setDelegate:(id <ArteMisyaDelegate>)obj;
- (void)setDebug:(BOOL)bl;
- (void)setSkip:(BOOL)sk;

- (void)drawObject:(NSMutableDictionary *)obj inArteOGLView:(id <ArteOGLViewProtocol>)arteview;
- (void)setParameters:(NSDictionary *)para toArteOGLObject:(ArteOGLObject *)target;
- (NSDictionary *)attributesDictWithObject:(NSDictionary *)object;


#pragma mark key handling
- (void)keyPressed:(unichar)key;
- (void)keyReleased:(unichar)key;
- (void)mousePressed:(CGPoint)pt;
- (void)mouseReleased:(CGPoint)pt;

@end
