//
//  ArteOGLStringTexture.h
//  ArtesemaOGL
//
//  Created by touta on 06/08/02.
//  Copyright 2006 TSBps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <OpenGL/OpenGL.h>
#import <OpenGL/gl.h>
#import <OpenGL/glext.h>
#import <OpenGL/CGLContext.h>
#import "ArteOGLImageTexture.h"


@interface ArteOGLStringTexture : ArteOGLImageTexture {
	CGLContextObj cgl_ctx;
	
	NSString * string;
	NSDictionary * attributes;
	
	NSSize framesize;
	NSSize marginsize;
	
}
#pragma mark object
+ (id)textureWithAttributedString:(NSAttributedString *)aS;
+ (id)textureWithString:(NSString *)str attributes:(NSDictionary *)dic;


#pragma mark draw
//- (void)OGLdrawAtPoint:(CGPoint)pt fraction:(float)alpha;		//override
- (void)OGLdrawAtPoint:(CGPoint)pt z:(float)texzdepth;
- (void)OGLdrawAtRightBottomPoint:(CGPoint)pt z:(float)texzdepth;

- (void)setColor:(NSColor *)col; //tempolary

#pragma mark values

- (NSSize)			framesize;
//- (CGSize)		texsize;
//- (GLuint)		texid;
- (NSString *)		string;
- (NSDictionary *)	attributes;


@end
