//
//  ArteObjectLimitBehavior.h
//  ArteOGL
//
//  Created by touta on 11/08/10.
//  Copyright 2011 TSBps. All rights reserved.
//

#import "ArteObjectBehavior.h"

typedef enum{
	ArteObjectLimitKeepBehavior = 0,
	ArteObjectLimitStopBehavior,
	ArteObjectLimitBounceBehavior
} ArteObjectLimitActionBehavior;


@interface ArteObjectLimitBehavior : ArteObjectBehavior {
	int position; //ArteOGLLeft,ArteOGLBottom,ArteOGLRight,ArteOGLTop
	float limit;
	ArteObjectLimitActionBehavior limaction;
}

- (void)setPosition:(int)p;
- (int)position;

- (void)setLimit:(float)coord;
- (float)limit;

- (void)setLimitAction:(ArteObjectLimitActionBehavior)action;
- (ArteObjectLimitActionBehavior)limitAction;


@end
