//
//  ArteOGLCircle.h
//  ArteOGL
//
//  Created by touta on 09/08/14.
//  Copyright 2009 TSBps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <OpenGL/OpenGL.h>
#import <OpenGL/gl.h>
#import <OpenGL/glext.h>
#include <Math.h>

#import "ArteOGLShape.h"

typedef unsigned int ArteOGLCircleMode;
enum {
	ArteOGLFillCircle		= 0,
	ArteOGLFrameCircle,
	ArteOGLDottedCircle, //Nortice: dotted not implemented
	ArteOGLEraseCircle,
	ArteOGLHighLightCircle,
	ArteOGLInvertCircle
};

@interface ArteOGLCircle : ArteOGLShape {
	int fillMode;
}
//+ (id)objectWithRectFill:(CGRect)rect;
//+ (id)objectWithRectFrame:(CGRect)rect;
//- (id)initWithRect:(CGRect)rect;

-(void)setFillModeWithName:(NSString *)str;
-(void)setFillMode:(ArteOGLCircleMode)mode;
-(int)fillMode;

@end
