//
//  ArteOGLRectangle.h
//  ArtesemaOGL
//
//  Created by touta on 06/12/11.
//  Copyright 2006 TSBps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <OpenGL/OpenGL.h>
#import <OpenGL/gl.h>
#import <OpenGL/glext.h>

#import "ArteOGLObject.h"
#import "ArteOGLShape.h"


typedef unsigned int ArteOGLRectangleMode;
enum {
	ArteOGLFrameRectangle		= 1,
	ArteOGLFillRectangle		= 0,
	ArteOGLDottedRectangle		= 2,
	//	Nortice: dotted not implemented
	ArteOGLEraseRectangle		= 3,
	ArteOGLHighLightRectangle	= 4,
	ArteOGLInvertRectangle		= 5
};


@interface ArteOGLRectangle : ArteOGLShape {
	int fillMode;
}
//+ (id)objectWithRectFill:(CGRect)rect;
//+ (id)objectWithRectFrame:(CGRect)rect;

//- (id)initWithRect:(CGRect)rect;


- (void)setFillModeWithName:(NSString *)modename;
- (void)setFillMode:(ArteOGLRectangleMode)mode;
- (int)fillMode;

@end
